QELECTROTECH(1)

NAME
qelectrotech - Electric diagrams editor

SYNOPSIS
qelectrotech [--common-elements-dir=DIR] [--config-dir-elements-dir=DIR] [--lang-dir=DIR] [--help] [-v|--version] [--license] [FILE]...

DESCRIPTION
QElectroTech is an electric diagrams editor. Diagrams (*.qet) and electric elements (*.elmt) are stored using the XML format. The elements that can be used in diagrams may come from the common collection or from the user's custom collection. Typically, the common collection is readable by all users but it can't be edited by them. Each user owns its custom collection he can modify as he wants.

OPTIONS

--common-elements-dir=DIR
    Uses DIR as the common collection root directory. Note : this option is enabled only if the QET_ALLOW_OVERRIDE_CED_OPTION directive has been specified at compilation time.

--config-dir=DIR
    Uses DIR as the current user's configuration directory. This directory hosts a file named qelectrotech.conf, which contains the application configuration, and a subdirectory named elements, which contains the user's elements collection. Note : this option is enabled only if the QET_ALLOW_OVERRIDE_CD_OPTION directive has been specified at compilation time.

--lang-dir=DIR
    Looks for the application translation files in the directory DIR.

--help
    Displays a short description of the available options.

-v, --version
    Displays the application version (e.g.: 0.1).

--license
    Displays the application license (GNU/GPL). Note that if one of the three last options is specified in the command line, the programs stops after having displayed the adequate information. If an instance of the application launched by the user is still running, this instance will consider the command line, and notably the files to open. However, options that redefine directories (common collection, configuration and translation files) will not be considered. If a filename ends with .elmt, QElectroTech will try to open it into an element editor. Otherwise, it will consider it as diagrams.

AUTHORS
Benoit Ansieau <benoit.ansieau@gmail.com>
Xavier Guerrin <xavier.guerrin@gmail.com>

REPORTING BUGS
If you encounter a behavior in the application that looks unusual to you, browse our FAQ <http://qelectrotech.org/wiki/doku.php?id=doc:faq> and our BugTracker <http://qelectrotech.org/bugtracker/> to check if the problem is already known. In the negative, please submit a bugreport via the BugTracker.

COPYRIGHT
Copyright (c) QElectroTech developers.
License : GNU/GPL v2+ : <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
This program is a free software. You can modify and redistribute it. It is provided as is and WITHOUT ANY WARRANTY.

SEE ALSO
Official website : <http://qelectrotech.org/>